import {StyleSheet} from 'react-native';
import {
  heightPercentageToDP as hp,
  widthPercentageToDP as wp,
} from 'react-native-responsive-screen';

const styles = StyleSheet.create({
  categoryArea: {
    // marginHorizontal: wp('3%'),
    marginTop: hp('1%'),
  },
  categoryHeaderText: {
    marginHorizontal: wp('2%'),
    marginBottom: hp('0.5%'),
    fontWeight: '700',
  },
  categoryAreaSingle: {
    borderRadius: 8,
    marginBottom: hp('2%'),
    marginHorizontal: wp('2%'),
  },
  itemsList: {
    // display: 'flex',
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
  categoryView: {
    // flexDirection: 'row',
    width: 100,
    height: 150,
    // paddingTop: 30,
    alignItems: 'center',
    justifyContent: 'center',
    paddingHorizontal: wp('1%'),
    // paddingVertical: hp('2%'),
    marginRight: 4,
    marginLeft: 6,
    marginBottom: 10,
    // marginRight: 0,
    borderRadius: 5,
    backgroundColor: '#D2181B',
  },

  flex1: {
    flex: 1,
  },
  flex1half: {
    flex: 1.5,
    backgroundColor: '#fff',
  },
  flex2: {
    flex: 2,
  },
  flex11: {
    flex: 3,
    backgroundColor: '#fff',
  },
  container2: {
    minWidth: '100%',
    flex: 1,
    backgroundColor: '#D3D3D3',
    flexDirection: 'row',
    height: '100%',
    // padding: 20,
  },
  container: {
    flex: 1,
    width: 'auto',
    flexDirection: 'column',
    // justifyContent: 'flex-start',
    // alignItems: 'flex-start',
  },
  // textCategory: {
  //   width: '30%',
  //   height: '10%',
  //   textAlign: 'center',
  // },
  text: {
    // flexDirection: 'row',
    // flexWrap: 'wrap',
    // padding: 10,
    // margin: 5,
    // flexBasis: '50%',
  },
  categoryViewActive: {
    // backgroundColor: '#D2181B',
    backgroundColor: '#00be51',
    borderBottomStartRadius: 0,
    borderBottomEndRadius: 0,
  },
  foodItemArea: {
    // width: '100%',
    // width: 80,
    // height: 80,
    // marginLeft: 5,
    paddingHorizontal: hp('1%'),
    flexDirection: 'row',
    flexWrap: 'wrap',
    // justifyContent: 'space-between',
    borderTopWidth: 0,
    borderBottomStartRadius: 8,
    borderBottomEndRadius: 8,
  },
  categoryArea1: {
    paddingHorizontal: hp('1%'),
    flexDirection: 'row',
    flexWrap: 'wrap',
    // justifyContent: 'space-between',
    borderTopWidth: 0,
    borderBottomStartRadius: 8,
    borderBottomEndRadius: 8,
  },
  dataHeaderText: {
    fontSize: 20,
    // fontWeight: 'normal',
    paddingBottom: hp('1.5%'),
  },
  detailsArea: {
    backgroundColor: '#ff9201',
    borderTopColor: '#dcd6d6',

    borderTopWidth: 2,
    // alignContent: 'center',
    // alignItems: 'center',
    // justifyContent: 'space-between',
    width: '15%',
    height: 'auto',
    // margin: 9,
    alignItems: 'center',
    paddingTop: 30,
    marginRight: 2,
    marginLeft: 4,

    paddingHorizontal: wp('0.2%'),
    paddingVertical: hp('1%'),
    // margin: 5,
    borderRadius: 5,
  },
  // detailsAreaLeft: {
  //   width: wp('20%'),
  // },
  detailsAreaTitle: {
    fontSize: 14,
    marginBottom: 2,
    // textAlign: 'center',
    textAlign: 'center',
    color: '#fff',
  },
  // detailsAreaDescription: {
  //   fontSize: 14,
  //   color: '#fff',
  //   paddingTop: hp('0.5%'),
  // },
  detailsAreaAmount: {
    textAlign: 'center',
    fontSize: 14,
    color: '#fff',
    paddingTop: hp('4%'),
    // paddingBottom: hp('8'),
  },
  modalHeaderArea: {
    flexDirection: 'row',
    backgroundColor: '#D2181B',
    justifyContent: 'space-between',
    paddingHorizontal: wp('4%'),
    paddingVertical: hp('2%'),
    borderBottomWidth: 1,
    borderBottomColor: '#CDC9C9',
  },
  modalHeaderField: {
    fontSize: wp('5%'),
    color: '#fff',
    fontWeight: '600',
  },
  modalCloseIconArea: {
    backgroundColor: '#D2181B',
    width: 50,
    height: 50,
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 3,
  },
  modalBody: {
    backgroundColor: '#fff',
    paddingHorizontal: wp('4%'),
    paddingBottom: hp('3.5%'),
  },
  modalContentField: {
    textAlign: 'justify',
    lineHeight: 23,
    fontSize: 16,
    color: '#000000',
    paddingTop: hp('1%'),
  },
  addToArea: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    paddingTop: hp('4%'),
    width: wp('50%'),
  },
  addToButtonArea: {
    marginTop: hp('5%'),
    borderRadius: 3,
    backgroundColor: '#D2181B',
    paddingVertical: hp('2%'),
  },
  addToButton: {
    color: '#fff',
    textAlign: 'center',
    fontSize: 18,
    fontWeight: 'bold',
  },
  viewBasketArea: {
    width: wp('100%'),
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingVertical: hp('2%'),
    paddingHorizontal: wp('5%'),
    elevation: 5,
    backgroundColor: '#D2181B',
  },
  viewBasketText: {
    color: '#fff',
    fontSize: 20,
    fontWeight: '700',
  },
  restaurantInfoArea: {
    paddingHorizontal: wp('5%'),
    paddingTop: hp('1%'),
  },
  serviceTypeArea: {
    paddingTop: hp('0.5%'),
    paddingBottom: hp('1%'),
  },
  serviceArea: {
    paddingTop: hp('0.5%'),
    paddingBottom: hp('1%'),
    // borderBottomColor: '#fff',
    // borderBottomWidth: 1,
  },
  serviceAreaSingle: {
    paddingHorizontal: wp('4%'),
    paddingVertical: hp('1%'),
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
  },
  activeService: {
    backgroundColor: '#00be51',
    borderRadius: 5,
  },
  menuBarServiceArea: {
    paddingHorizontal: wp('4%'),
    paddingVertical: hp('0.5%'),
    borderRadius: 15,
    backgroundColor: '#D2181B',
    marginRight: wp('5%'),
  },
  addonArea: {
    paddingTop: hp('3%'),
    paddingBottom: hp('1%'),
    borderBottomColor: '#CDC9C9',
    borderBottomWidth: 1,
    marginBottom: hp('0.5%'),
  },
  addonCheckBox: {
    borderColor: 'transparent',
    paddingVertical: hp('0%'),
    paddingHorizontal: wp('0%'),
    backgroundColor: '#fff',
  },
  specialOfferBlockArea: {
    marginTop: hp('2%'),
    paddingVertical: hp('1%'),
    borderRadius: 8,
    borderColor: '#eee',
    borderWidth: 1,
  },
  specialOfferBlockAreaHeader: {
    borderBottomColor: '#eee',
    borderBottomWidth: 1,
    paddingBottom: hp('1%'),
    paddingHorizontal: wp('2%'),
  },
  specialOfferBlockAreaBody: {
    paddingHorizontal: wp('2%'),
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  specialOfferBlockAreaBodyLabel: {
    paddingTop: hp('1%'),
    fontSize: 16,
  },
});

export default styles;

// import {StyleSheet} from 'react-native';
// import {
//   heightPercentageToDP as hp,
//   widthPercentageToDP as wp,
// } from 'react-native-responsive-screen';

// const styles = StyleSheet.create({
//   categoryArea: {
//     // marginHorizontal: wp('3%'),
//     marginTop: hp('1%'),
//   },
//   categoryHeaderText: {
//     marginHorizontal: wp('2%'),
//     marginBottom: hp('0.5%'),
//     fontWeight: '700',
//   },
//   categoryAreaSingle: {
//     borderRadius: 8,
//     marginBottom: hp('2%'),
//     marginHorizontal: wp('2%'),
//   },
//   itemsList: {
//     display: 'flex',
//     flexDirection: 'row',
//     flexWrap: 'wrap',
//   },
//   categoryView: {
//     // justifyContent: 'space-between',
//     // alignSelf: 'center',
//     width: 95,
//     height: 80,

//     // alignItems: 'center',
//     paddingHorizontal: wp('2%'),
//     paddingVertical: hp('2%'),
//     margin: 2,
//     borderRadius: 5,
//   },

//   flex1: {
//     flex: 1,
//   },
//   flex2: {
//     flex: 2,
//   },
//   flex11: {
//     flex: 1.5,
//   },
//   container2: {
//     minWidth: '95%',
//     flex: 1,
//     flexDirection: 'row',
//     padding: 20,
//   },
//   container: {
//     // borderColor: 'black',
//     // borderWidth: 2,
//     display: 'flex',
//     height: '150%',
//     width: '100%',
//     flexDirection: 'row',
//     // alignItems: 'flex-start',
//     // alignContent: 'flex-start',
//     // justifyContent: 'flex-start',
//   },
//   // textCategory: {
//   //   width: '30%',
//   //   height: '10%',
//   //   textAlign: 'center',
//   // },
//   text: {
//     flexDirection: 'row',
//     flexWrap: 'wrap',
//     padding: 10,
//     // margin: 5,
//     // flexBasis: '50%',
//   },
//   categoryViewActive: {
//     backgroundColor: '#D2181B',
//     borderBottomStartRadius: 0,
//     borderBottomEndRadius: 0,
//   },
//   foodItemArea: {
//     minWidth: '95%',
//     marginLeft: 5,

//     paddingHorizontal: hp('1%'),
//     // borderWidth: 1,
//     // borderColor: '#D2181B',
//     flexDirection: 'row',
//     flexWrap: 'wrap',
//     // justifyContent: 'space-between',
//     borderTopWidth: 0,
//     borderBottomStartRadius: 8,
//     borderBottomEndRadius: 8,
//   },
//   dataHeaderText: {
//     fontSize: 20,
//     // fontWeight: 'normal',
//     paddingBottom: hp('1.5%'),
//   },
//   detailsArea: {
//     backgroundColor: '#ff9201',
//     borderTopColor: '#dcd6d6',
//     borderTopWidth: 2,
//     // alignContent: 'center',
//     // alignItems: 'center',
//     // justifyContent: 'space-between',
//     width: '30%',
//     marginRight: 10,

//     paddingHorizontal: wp('1%'),
//     paddingVertical: hp('1%'),
//     // margin: 5,
//     borderRadius: 5,
//   },
//   detailsAreaLeft: {
//     width: wp('20%'),
//   },
//   detailsAreaTitle: {
//     // borderColor: 'black',
//     marginTop: 10,
//     paddingBottom: 5,
//     // borderWidth: 2,
//     // marginLeft: 37,
//     // textAlign: 'left',
//     // flexWrap: 'wrap',
//     textAlign: 'left',
//     paddingLeft: 15,
//     height: 70,
//     // width: '50%',
//     fontSize: 14,
//     // marginTop: 4,
//     marginBottom: 2,

//     // alignSelf: 'center',
//     alignItems: 'center',
//     color: '#fff',

//     // fontWeight: '100',
//   },
//   // detailsAreaDescription: {
//   //   fontSize: 14,
//   //   color: '#fff',
//   //   paddingTop: hp('0.5%'),
//   // },
//   detailsAreaAmount: {
//     // width: '70%',
//     // marginLeft: 37,
//     // marginTop: 2,
//     height: 30,
//     textAlign: 'left',
//     paddingLeft: 20,
//     marginBottom: 10,
//     // alignSelf: 'center',
//     // marginLeft: 12,
//     fontSize: 14,
//     color: '#fff',
//     paddingTop: hp('0.5%'),
//     // alignItems: 'center',
//     // marginLeft: 23,
//   },
//   modalHeaderArea: {
//     flexDirection: 'row',
//     backgroundColor: '#fff',
//     justifyContent: 'space-between',
//     paddingHorizontal: wp('4%'),
//     paddingVertical: hp('2%'),
//     borderBottomWidth: 1,
//     borderBottomColor: '#CDC9C9',
//   },
//   modalHeaderField: {
//     fontSize: wp('5%'),
//     color: '#000',
//     fontWeight: '600',
//   },
//   modalCloseIconArea: {
//     backgroundColor: '#D2181B',
//     width: 30,
//     height: 30,
//     flexDirection: 'row',
//     justifyContent: 'center',
//     alignItems: 'center',
//     borderRadius: 3,
//   },
//   modalBody: {
//     backgroundColor: '#fff',
//     paddingHorizontal: wp('4%'),
//     paddingBottom: hp('3.5%'),
//   },
//   modalContentField: {
//     textAlign: 'justify',
//     lineHeight: 23,
//     fontSize: 16,
//     color: '#000000',
//     paddingTop: hp('1%'),
//   },
//   addToArea: {
//     flexDirection: 'row',
//     justifyContent: 'space-around',
//     paddingTop: hp('4%'),
//     width: wp('50%'),
//   },
//   addToButtonArea: {
//     marginTop: hp('5%'),
//     borderRadius: 3,
//     backgroundColor: '#D2181B',
//     paddingVertical: hp('2%'),
//   },
//   addToButton: {
//     color: '#fff',
//     textAlign: 'center',
//     fontSize: 18,
//     fontWeight: 'bold',
//   },
//   viewBasketArea: {
//     width: wp('100%'),
//     flexDirection: 'row',
//     justifyContent: 'space-between',
//     paddingVertical: hp('2%'),
//     paddingHorizontal: wp('5%'),
//     elevation: 5,
//     backgroundColor: '#D2181B',
//   },
//   viewBasketText: {
//     color: '#fff',
//     fontSize: 20,
//     fontWeight: '700',
//   },
//   restaurantInfoArea: {
//     paddingHorizontal: wp('5%'),
//     paddingTop: hp('1%'),
//   },
//   serviceTypeArea: {
//     paddingTop: hp('0.5%'),
//     paddingBottom: hp('1%'),
//   },
//   serviceArea: {
//     paddingTop: hp('0.5%'),
//     paddingBottom: hp('1%'),
//     borderBottomColor: '#b4b4b4',
//     borderBottomWidth: 1,
//   },
//   serviceAreaSingle: {
//     paddingHorizontal: wp('4%'),
//     paddingVertical: hp('1%'),
//     flexDirection: 'row',
//     justifyContent: 'center',
//     alignItems: 'center',
//   },
//   activeService: {
//     backgroundColor: '#00be51',
//     borderRadius: 5,
//   },
//   menuBarServiceArea: {
//     paddingHorizontal: wp('4%'),
//     paddingVertical: hp('0.5%'),
//     borderRadius: 15,
//     backgroundColor: '#D2181B',
//     marginRight: wp('5%'),
//   },
//   addonArea: {
//     paddingTop: hp('3%'),
//     paddingBottom: hp('1%'),
//     borderBottomColor: '#CDC9C9',
//     borderBottomWidth: 1,
//     marginBottom: hp('0.5%'),
//   },
//   addonCheckBox: {
//     borderColor: 'transparent',
//     paddingVertical: hp('0%'),
//     paddingHorizontal: wp('0%'),
//     backgroundColor: '#fff',
//   },
//   specialOfferBlockArea: {
//     marginTop: hp('2%'),
//     paddingVertical: hp('1%'),
//     borderRadius: 8,
//     borderColor: '#eee',
//     borderWidth: 1,
//   },
//   specialOfferBlockAreaHeader: {
//     borderBottomColor: '#eee',
//     borderBottomWidth: 1,
//     paddingBottom: hp('1%'),
//     paddingHorizontal: wp('2%'),
//   },
//   specialOfferBlockAreaBody: {
//     paddingHorizontal: wp('2%'),
//     flexDirection: 'row',
//     justifyContent: 'space-between',
//   },
//   specialOfferBlockAreaBodyLabel: {
//     paddingTop: hp('1%'),
//     fontSize: 16,
//   },
// });

// export default styles;
